image: debian/bullseye
packages:
  - gcc
  - wget
sources:
  - https://hg.sr.ht/~mrpapersonic/minori
tasks:
  - build: |
      wget -O darling.deb "https://github.com/darlinghq/darling/releases/download/v0.1.20230310_update_sources_11_5/darling_0.1.20230310.jammy_amd64.deb"
      sudo apt install ./darling.deb
      cd minori
      mkdir build
      cd build
      darling shell '/bin/bash -c "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/HEAD/install.sh)"'
      darling shell 'brew install qt5 cmake make curl clang'
      darling shell 'cmake .. -G "Unix Makefiles"'
      darling shell 'make'
